Jump to content

Gestalt select warning message [Fixed 2.5 b296]


rice.shawn
 Share

Recommended Posts

Not sure if this is really important, but I found the following in my console:
9/28/14 9:11:53.451 PM Alfred 2[354]: WARNING: The Gestalt selector gestaltSystemVersion is returning 10.9.0 instead of 10.10.0. Use NSProcessInfo's operatingSystemVersion property to get correct system version number.
Call location:

While that looks cut off, it's actually the full message (no information on `Call location`).

 

I'm running the newest Public Beta of 10.10 and Alfred 2.5b295.

 

Link to comment
Share on other sites

 

Not sure if this is really important, but I found the following in my console:
9/28/14 9:11:53.451 PM Alfred 2[354]: WARNING: The Gestalt selector gestaltSystemVersion is returning 10.9.0 instead of 10.10.0. Use NSProcessInfo's operatingSystemVersion property to get correct system version number.
Call location:

While that looks cut off, it's actually the full message (no information on `Call location`).

 

I'm running the newest Public Beta of 10.10 and Alfred 2.5b295.

 

 

Ah nice spot... looks like Gestalt is deprecated. I'll update this to use a different method in Alfred 2.5 :)

Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...